import { Client } from "./Client.js";
import { Profile } from "./Profile.js";

class MyProfile extends Profile
{

	/**
	 * @param {Client} client 
	 */
	constructor (client)
	{
		super(client, "../me");
	}

	/**
	 * 
	 * @param {File} selectedFile
	 * @returns {Promise<Response>}
	 */
	async changeAvatar(selectedFile)
	{
		const formData = new FormData();
		formData.append('avatar', selectedFile);

		const response = await this.client._patch_file(`/api/profiles/settings`, formData);
		const responseData = await response.json();

		if (response.ok) {
			this.avatar_url = responseData.avatar.substr(responseData.avatar.indexOf('static') - 1);
			return null;
		}
		return responseData;
	}

	async deleteAvatar() {
		const response = await this.client._delete('/api/profiles/settings');
		const responseData = await response.json();

		if (response.ok) {
			this.avatar_url = responseData.avatar.substr(responseData.avatar.indexOf('static') - 1);
			return null;
		}
		return responseData;
	}

}

export {MyProfile};
